Overview | Package | Class | Tree | Deprecated | Index | Help
| Xerces 1.2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.html
Interface HTMLTextAreaElement

All Superinterfaces:
  Element, HTMLElement, Node

All Known Implementing Classes:
  HTMLTextAreaElementImpl

public interface HTMLTextAreaElement
extends HTMLElement

Multi-line text field. See the TEXTAREA element definition in HTML 4.0.

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`void` | `blur()` Removes keyboard focus from this element.
`void` | `focus()` Gives keyboard focus to this element.
`java.lang.String` | `getAccessKey()` A single character access key to give access to the form control.
`int` | `getCols()` Width of control (in characters).
`java.lang.String` | `getDefaultValue()` Represents the contents of the element.
`boolean` | `getDisabled()` The control is unavailable in this context.
`HTMLFormElement` | `getForm()` Returns the `FORM` element containing this control.
`java.lang.String` | `getName()` Form control or object name when submitted with a form.
`boolean` | `getReadOnly()` This control is read-only.
`int` | `getRows()` Number of text rows.
`int` | `getTabIndex()` Index that represents the element's position in the tabbing order.
`java.lang.String` | `getType()` The type of this form control.
`java.lang.String` | `getValue()` Represents the current contents of the corresponding form control, in an interactive user agent.
`void` | `select()` Select the contents of the `TEXTAREA` .
`void` | `setAccessKey(java.lang.String accessKey)`
`void` | `setCols(int cols)`
`void` | `setDefaultValue(java.lang.String defaultValue)`
`void` | `setDisabled(boolean disabled)`
`void` | `setName(java.lang.String name)`
`void` | `setReadOnly(boolean readOnly)`
`void` | `setRows(int rows)`
`void` | `setTabIndex(int tabIndex)`
`void` | `setValue(java.lang.String value)`

Methods inherited from interface org.w3c.dom.html.HTMLElement
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Method Detail

### getDefaultValue

    public java.lang.String getDefaultValue()

  Represents the contents of the element. The value of this attribute does not change if the contents of the corresponding form control, in an interactive user agent, changes. Changing this attribute, however, resets the contents of the form control.

### setDefaultValue

    public void setDefaultValue(java.lang.String defaultValue)

### getForm

    public HTMLFormElement getForm()

  Returns the `FORM` element containing this control. Returns `null` if this control is not within the context of a form.

### getAccessKey

    public java.lang.String getAccessKey()

  A single character access key to give access to the form control. See the accesskey attribute definition in HTML 4.0.

### setAccessKey

    public void setAccessKey(java.lang.String accessKey)

### getCols

    public int getCols()

  Width of control (in characters). See the cols attribute definition in HTML 4.0.

### setCols

    public void setCols(int cols)

### getDisabled

    public boolean getDisabled()

  The control is unavailable in this context. See the disabled attribute definition in HTML 4.0.

### setDisabled

    public void setDisabled(boolean disabled)

### getName

    public java.lang.String getName()

  Form control or object name when submitted with a form. See the name attribute definition in HTML 4.0.

### setName

    public void setName(java.lang.String name)

### getReadOnly

    public boolean getReadOnly()

  This control is read-only. See the readonly attribute definition in HTML 4.0.

### setReadOnly

    public void setReadOnly(boolean readOnly)

### getRows

    public int getRows()

  Number of text rows. See the rows attribute definition in HTML 4.0.

### setRows

    public void setRows(int rows)

### getTabIndex

    public int getTabIndex()

  Index that represents the element's position in the tabbing order. See the tabindex attribute definition in HTML 4.0.

### setTabIndex

    public void setTabIndex(int tabIndex)

### getType

    public java.lang.String getType()

  The type of this form control. This the string "textarea".

### getValue

    public java.lang.String getValue()

  Represents the current contents of the corresponding form control, in an interactive user agent. Changing this attribute changes the contents of the form control, but does not change the contents of the element. If the entirety of the data can not fit into a single `DOMString` , the implementation may truncate the data.

### setValue

    public void setValue(java.lang.String value)

### blur

    public void blur()

  Removes keyboard focus from this element.

### focus

    public void focus()

  Gives keyboard focus to this element.

### select

    public void select()

  Select the contents of the `TEXTAREA` .

Overview | Package | Class | Tree | Deprecated | Index | Help
| Xerces 1.2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD